#theader { z-index: 995; position: absolute; top: 0; left: 0; width: 100%; height: 90px; border-bottom: 1px solid rgba(255, 255, 255, 0.3); }
#theader .contwrap { height: 100%; }

#theader .logo { display: block; float: left; height: 100%; writing-mode: vertical-lr; text-align: center; }
#theader .logo img { display: inline-block; width: 199px; }

#theader #tnav { position: relative; display: block; float: right; height: 100%; }
#theader #tnav .menu1 { display: flex; flex-wrap: nowrap; height: 100%; }
#theader #tnav .menu1 > li { position: relative; height: 100%; }
#theader #tnav .menu1 > li > a { position: relative; display: block; height: 100%; padding: 0 40px; }
#theader #tnav .menu1 > li > a::after { z-index: 5; display: block; content: ''; position: absolute; bottom: -1px; left: 50%; transform: translateX(-50%); width: 0; height: 2px; background-color: #fff; transition: width 0.3s; }
#theader #tnav .menu1 > li:hover > a::after { width: 100%; }
#theader #tnav .menu1 > li > a > span { position: relative; top: 50%; transform: translateY(-50%); display: block; text-align: center; font-weight: 600; font-size: 24px; color: #fff; }

/* eng */
#theader.eng_ver .logo img { width: 282px; }

@media (max-width: 1535px) {
    #theader { height: 80px; }

    #theader .logo img { width: 176.88px; }

    #theader #tnav .menu1 > li > a { padding: 0 25px; }
    #theader #tnav .menu1 > li > a > span { font-weight: 500; font-size: 20px; }

    /* eng */
    #theader.eng_ver .logo img { width: 250.66px; }
}
@media (max-width: 1280px) {
    #theader { height: 70px; }

    #theader .logo img { width: 154.77px; }

    #theader #tnav .menu1 > li > a > span { font-size: 18px; }

    /* eng */
    #theader.eng_ver .logo img { width: 210px; }
}
@media (max-width: 1023px) {
    #theader { position: fixed; }
    #theader .contwrap { width: 100%; max-width: 100%; }
    #theader.scrollh { background-color: rgba(0, 0, 0, 0.8); box-shadow: 0 4px 4px -4px #000; }
    #theader.active, #theader.active.scrollh { background-color: rgba(0, 0, 0, 0.8); box-shadow: none; border-bottom: 1px solid #efefef; }

    #theader .logo { margin-left: 20px; }

    #theader #tnav { display: none; position: absolute; top: 70px; left: 0; float: none; width: 100%; height: initial; background-color: rgba(0, 0, 0, 0.8); box-shadow: 0 4px 4px -4px #000; }
    #theader.active #tnav { display: block; }
    #theader #tnav .menu1 { display: block; height: initial; }
    #theader #tnav .menu1 > li { height: initial; }
    #theader #tnav .menu1 > li > a { height: initial; padding: 13px 5px; }
    #theader #tnav .menu1 > li > a::after { display: none; }
    #theader #tnav .menu1 > li > a > span { top: initial; transform: translateY(0); font-weight: normal; font-size: 15px; color: #fff; }
}

/* theader hambtn */
#theader .ham_btn { display: none; position: absolute; top: 50%; transform: translateY(-50%); right: 20px; width: 27px; height: 20px; cursor: pointer; }
#theader .ham_btn div { position: absolute; width: 100%; height: 3px; background-color: #fff; transform-origin: center; }
/* #theader.mouseon .ham_btn div, #theader.active .ham_btn div, #theader.scrollh .ham_btn div { background-color: #145eb2; } */
#theader .ham_btn div:first-child { top: 0%; transform: translateY(-50%); animation: mo_bar1 forwards linear 0.4s; }
#theader .ham_btn div:nth-child(2) { top: 40%; transform: translateY(-50%); animation: mo_bar2 forwards linear 0.4s; }
#theader .ham_btn div:last-child { top: 80%; transform: translateY(-50%); animation: mo_bar3 forwards linear 0.4s; }
@keyframes mo_bar1 { 
    0% { top: 50%; transform: translateY(-50%) rotateZ(45deg); }
    50% { top: 50%; transform: translateY(-50%) rotateZ(0deg); }
    100% { top: 0%; transform: translateY(-50%); }
}
@keyframes mo_bar2 {
    0% { opacity: 0; }
    50% { opacity: 1; }
    100% { opacity: 1; }
}
@keyframes mo_bar3 {
    0% { top: 50%; transform: translateY(-50%) rotateZ(-45deg); }
    50% { top: 50%; transform: translateY(-50%) rotateZ(0deg); }
    100% { top: 80%; transform: translateY(-50%); }
}

#theader.active .ham_btn div:first-child { top: 0%; transform: translateY(-50%); animation: mo_bar1_on forwards linear 0.4s; }
#theader.active .ham_btn div:nth-child(2) { top: 40%; transform: translateY(-50%); animation: mo_bar2_on forwards linear 0.4s; }
#theader.active .ham_btn div:last-child { top: 80%; transform: translateY(-50%); animation: mo_bar3_on forwards linear 0.4s; }
@keyframes mo_bar1_on {
    0% { top: 0%; transform: translateY(-50%); }
    50% { top: 50%; transform: translateY(-50%); }
    100% { top: 50%; transform: translateY(-50%) rotateZ(45deg); }
}
@keyframes mo_bar2_on {
    0% { opacity: 1; }
    50% { opacity: 0; }
    100% { opacity: 0; }
}
@keyframes mo_bar3_on {
    0% { top: 80%; transform: translateY(-50%); }
    50% { top: 50%; transform: translateY(-50%); }
    100% { top: 50%; transform: translateY(-50%) rotateZ(-45deg); }
}
@media (max-width: 1023px) {
    #theader .ham_btn { display: block; }
}

/* lang */
#theader .lang { position: relative; height: 100%; float: right; display: flex; flex-wrap: nowrap; align-items: center; }
#theader .lang a { position: relative; display: inline-block; padding: 0 10px; font-weight: normal; font-size: 15px; color: #fff; }
#theader .lang a.active { font-weight: bold; }
#theader .lang a::after { display: block; content: ''; position: absolute; top: 50%; transform: translateY(-50%); right: 0; width: 1px; height: 80%; background-color: #fff; }
#theader .lang a:last-of-type::after { display: none; }
#theader .mo_lang { display: none; }
@media (max-width: 1023px) {
    #theader .lang { display: none; }
    #theader .mo_lang { padding: 10px 0; display: flex; flex-wrap: nowrap; align-items: center; justify-content: center; border-top: 1px solid #ddd; }
    #theader .mo_lang a { position: relative; padding: 0 10px; font-size: 13px; color: #fff; }
    #theader .mo_lang a.active { font-weight: 500; }
    #theader .mo_lang a::after { display: block; content: ''; position: absolute; top: 50%; transform: translateY(-50%); right: 0; width: 1px; height: 80%; background-color: #fff; }
    #theader .mo_lang a:last-of-type::after { display: none; }
}